%define        pkgmajver %(echo %{version} | cut -d. -f 1-2)

Name:          python-twisted
Version:       10.2.0
Release:       2mamba
Summary:       Event-driven networking framework written in Python
Group:         System/Libraries/Python
Vendor:        openmamba
Distribution:  openmamba
Packager:      Tiziana Ferro <tiziana.ferro@email.it>
URL:           http://www.twistedmatrix.com/
Source:        http://tmrc.mit.edu/mirror/twisted/Twisted/%{pkgmajver}/Twisted-%{version}.tar.bz2
License:       LGPL
Requires:      python >= %python_version
BuildRequires: python
BuildRequires: python-zopeinterface
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libpython-devel >= %python_version
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root
Provides:      python-Twisted = %{version}-%{release}

%description
An event-driven networking framework written in Python and licensed under the LGPL.
Twisted supports TCP, UDP, SSL/TLS, multicast, Unix sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC, FTP, andothers), and much more.

%package docs
Summary: Documentation for the Twisted networking framework
Group: Documentation

%description docs
An event-driven networking framework written in Python and licensed under the LGPL.
Twisted supports TCP, UDP, SSL/TLS, multicast, Unix sockets, a large number of protocols (including HTTP, NNTP, SSH, IRC, FTP, andothers), and much more.

This package contains all the documentation for Twisted.

%prep
%setup -q -n Twisted-%{version}

%build
CFLAGS="%{optflags}" python setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --single-version-externally-managed \
   --record=%{name}.filelist

install -d %{buildroot}%{_mandir}/man1/
cp -a doc/*/man/*.1 %{buildroot}%{_mandir}/man1/

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-, root, root)
%{_bindir}/*
%dir %{python_sitearch}/twisted/
%{python_sitearch}/twisted/*
%dir %{python_sitearch}/Twisted-%{version}-py%{python_version}.egg-info
%{python_sitearch}/Twisted-%{version}-py%{python_version}.egg-info/PKG-INFO
%{python_sitearch}/Twisted-%{version}-py%{python_version}.egg-info/*.txt
%{python_sitearch}/Twisted-%{version}-py%{python_version}.egg-info/not-zip-safe
%{_mandir}/man1/cftp.*
%{_mandir}/man1/ckeygen.*
%{_mandir}/man1/conch.*
%{_mandir}/man1/im.*
%{_mandir}/man1/lore.*
%{_mandir}/man1/mailmail.*
%{_mandir}/man1/manhole.*
%{_mandir}/man1/mktap.*
%{_mandir}/man1/pyhtmlizer.*
%{_mandir}/man1/tap2deb.*
%{_mandir}/man1/tap2rpm.*
%{_mandir}/man1/tapconvert.*
%{_mandir}/man1/tkconch.*
%{_mandir}/man1/trial.*
%{_mandir}/man1/twistd.*
%doc README

%changelog
* Fri May 17 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2.0-2mamba
- python 2.7 mass rebuild

* Wed Oct 05 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 10.2.0-1mamba
- update to 10.2.0

* Mon Aug 23 2010 Davide Madrisan <davide.madrisan@gmail.com> 8.2.0-1mamba
- update to 8.2.0

* Sun Dec 07 2008 gil <puntogil@libero.it> 8.1.0-2mamba
- built with python 2.6 and new python-twisted

* Mon Aug 11 2008 gil <puntogil@libero.it> 8.1.0-1mamba
- update to 8.1.0
- changed buildrequires python-devel with libpython-devel
- edit source

* Thu Aug 16 2007 Tiziana Ferro <tiziana.ferro@email.it> 2.5.0-1mamba
- package created by autospec
